import React from 'react';
import { ImpactGradesEnum } from '../../constants/impactConstants';
export interface IIntensityScoreProgressProps extends React.ComponentPropsWithoutRef<'div'> {
    /**
     * Defines which grade bar label needs to be hightlighted. Grades are A, B, C, D, E. Refer: ImpactGradesEnum
     */
    grade: ImpactGradesEnum;
    /**
     * Defines the progress of the individual grade bars based on the grade bands. Refer: INTENSITY_SCORE_BANDS
     */
    score: number;
}
export declare function IntensityScoreProgress({ className, grade, score }: IIntensityScoreProgressProps): JSX.Element;
//# sourceMappingURL=IntensityScoreProgress.d.ts.map