import React from 'react';
import { ImpactValueEnum, ImpactGradesEnum } from '../../constants/impactConstants';
import { ICardProps } from '../../elements/card/Card';
import { ICardHeaderProps } from '../../elements/card/CardHeader';
export interface IImpactScoreListProps extends React.ComponentPropsWithoutRef<'div'>, Partial<ICardHeaderProps>, Partial<ICardProps> {
    /**
     * Defines the list of available impacts and its score with grade appearance
     */
    impacts: Record<ImpactValueEnum, {
        grade: ImpactGradesEnum;
        score: number;
    }>;
}
export declare function ImpactScoreList({ className, description, header, helpUrl, impacts, }: IImpactScoreListProps): JSX.Element;
//# sourceMappingURL=ImpactScoreList.d.ts.map