import React from 'react';
import { ICardProps } from '../../elements/card/Card';
import { ImpactGradesEnum } from '../../constants/impactConstants';
import { ICardHeaderProps } from '../../elements/card/CardHeader';
export interface IIntensityScoreTrackingProps extends React.ComponentPropsWithoutRef<'div'>, Partial<ICardHeaderProps>, Partial<ICardProps>, Partial<IScoreHeaderProps> {
    /**
     * Defines the visual color with in impact range colors
     */
    grade: ImpactGradesEnum;
    /**
     * Defines the progress & goal towards next grade
     */
    score: number;
}
interface IScoreHeaderProps extends ICardHeaderProps {
    headerClass: string;
}
export declare function IntensityScoreTracking({ className, description, grade, header, headerClass, helpUrl, score, }: IIntensityScoreTrackingProps): JSX.Element;
export {};
//# sourceMappingURL=IntensityScoreTracking.d.ts.map